XtNextEvent(3)

NAME
XtNextEvent, XtPending, XtPeekEvent, XtProcessEvent, XtMainLoop - query and process events and input

SYNTAX

void XtNextEvent(XEvent *event_return);

Boolean XtPeekEvent(XEvent *event_return);

Boolean XtPending(void);

void XtProcessEvent(XtInputMask mask);

void XtMainLoop(void);

ARGUMENTS

event
    Specifies a pointer to the event structure that is to be dispatched to the appropriate event handler.

event_return
    Returns the event information to the specified event structure.

mask
    Specifies what types of events to process. The mask is the bitwise inclusive OR of any combination of and As a convenience, the X Toolkit defines the symbolic name to be the bitwise inclusive OR of all event types.

DESCRIPTION
has been replaced by

has been replaced by

has been replaced by

has been replaced by

has been replaced by

SEE ALSO
XtAppNextEvent(3xt), XtAppPending(3), XtAppPeekEvent(3), XtAppProcessEvent(3), XtAppMainLoop(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface